Bug 615154 - nouveau: issues with the handling of dual-link TMDS
nouveau: issues with the handling of dual-link TMDS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ben Skeggs
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 23:14 EDT by Ben Skeggs
Modified: 2010-11-11 09:42 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.32-52.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Skeggs 2010-07-15 23:14:51 EDT
Nouveau has a number of issues when a dual-link capable display is plugged into a single-link connector.

Affecting all boards: The detection of the display's native mode doesn't take into account whether a dual-link configuration is possible, so the driver will program the display with the dual-link resolution regardless.

On GeForce 8xxx and up: Detection of whether a connector is dual-link capable is broken, as is mode validation for dual-link modes.

Patches for all of the above issues have been available upstream for a while now.
Comment 3 Aristeu Rozanski 2010-07-26 11:16:27 EDT
Patch(es) available on kernel-2.6.32-52.el6
Comment 9 releng-rhel@redhat.com 2010-11-11 09:42:04 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.